| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | Protected Attributes | List of all members
Digikam::VersionItemFilterSettings Class Reference

## Public Member Functions
| VersionItemFilterSettings (const VersionManagerSettings &settings)
bool | isExemptedBySettings (const ItemInfo &info) const
bool | isFiltering () const
bool | isFilteringByTags () const
bool | isHiddenBySettings (const ItemInfo &info) const
bool | matches (const ItemInfo &info) const
bool | operator== (const VersionItemFilterSettings &other) const
void | setExceptionList (const QList< qlonglong > &idlist, const QString &id)
| Add list with exceptions: These images will be exempted from filtering by this filter.
void | setVersionManagerSettings (const VersionManagerSettings &settings)

## Protected Attributes
QHash< QString, QList< qlonglong > > | m_exceptionLists
int | m_exceptionTagFilter = 0
QList< int > | m_excludeTagFilter
int | m_includeTagFilter = 0

## Member Function Documentation

## ◆ isFiltering()

bool Digikam::VersionItemFilterSettings::isFiltering | ( |  | ) | const

Returns
  True if images will be filtered by these criteria at all

## ◆ isFilteringByTags()

bool Digikam::VersionItemFilterSettings::isFilteringByTags | ( |  | ) | const

Returns
  True if the tag is a filter criteria

## ◆ matches()

bool Digikam::VersionItemFilterSettings::matches | ( | const ItemInfo & | info | ) | const

Returns
  True if the given ItemInfo matches the filter criteria.

## Member Data Documentation

## ◆ m_excludeTagFilter

QList<int> Digikam::VersionItemFilterSettings::m_excludeTagFilter
| protected

Note
  DatabaseFields::Set watchFlags() const Would return 0